# Conner Ardman
# CSE 154
# Create an API at /api to return JSON of the quotes.txt file
# At /quotes, render the quotes HTML file that calls the API

from flask import Flask, render_template, jsonify
app = Flask(__name__)  # Create an instance of Flask class

# At the / route, render quotes.html from templates
@app.route('/')
def load_page():
    return render_template('quotes.html')

# At the /api route, return a JSON representation of the quotes.txt file
@app.route('/api')
def quotes():
    # Read in the file and split it into an array in form
    # [quote, author, quote, author, etc...]
    file = open("quotes.txt", "r")
    input = file.read().replace('\r', ' ').replace(
        '\n', ' ').replace('  ', '--').split("--")

    # Loop through the entire input array and format it in out
    out = []
    index = 0
    while index < len(input):
        obj = {}
        obj["Quote"] = input[index]
        obj["Author"] = input[index + 1]
        out.append(obj)
        index += 2

    # Close the connection with the file and return the array as JSON
    file.close()
    return jsonify(out)


# Run the app on localhost, port 8080 with debug mode on
if __name__ == '__main__':
    app.run(host='localhost', port=8080, debug=True)
